# module Foreman

### Constants

VERSION

### Public Class Methods

ruby_18?() click to toggle source

    # File lib/foreman.rb, line 9
    def self.ruby_18?
      defined?(RUBY_VERSION) and RUBY_VERSION =~ /^1\.8\.\d+/
    end

runner() click to toggle source

    # File lib/foreman.rb, line 5
    def self.runner
      File.expand_path("../../bin/foreman-runner", __FILE__)
    end

windows?() click to toggle source

    # File lib/foreman.rb, line 13
    def self.windows?
      defined?(RUBY_PLATFORM) and RUBY_PLATFORM =~ /(win|w)32$/
    end